## apt 1.6~alpha5

=== CMakeLists.txt ===
# Copyright (C) 2009, 2016 Julian Andres Klode <jak@debian.org>.
# Licensed under the same terms as APT; i.e. GPL 2 or later.

# set minimum version
project(apt)
cmake_minimum_required(VERSION 3.4.0)
# Generic header locations
include_directories(${PROJECT_BINARY_DIR}/include)


enable_testing()

option(WITH_DOC "Build documentation." ON)
option(USE_NLS "Localisation support." ON)

set(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/CMake")

# Add coverage target
set(CMAKE_CXX_FLAGS_COVERAGE "-g -fprofile-arcs -ftest-coverage")
set(CMAKE_EXE_LINKER_FLAGS_COVERAGE "-lgcov")
set(CMAKE_SHARED_LINKER_FLAGS_COVERAGE "-lgcov")

# Work around bug in GNUInstallDirs
if (EXISTS "/etc/debian_version")
  set(CMAKE_INSTALL_LIBEXECDIR "lib")
endif()

# Include stuff
include(Misc)
include(CheckIncludeFiles)
include(CheckFunctionExists)
include(CheckStructHasMember)
include(GNUInstallDirs)
include(TestBigEndian)
find_package(Threads REQUIRED)
find_package(LFS REQUIRED)
find_package(Iconv REQUIRED)

find_package(Perl REQUIRED)

if(USE_NLS)
  find_package(Intl REQUIRED)
  link_libraries(${Intl_LIBRARIES})
  include_directories(${Intl_INCLUDE_DIRS})
endif()

# Add large file support
add_compile_options(${LFS_COMPILE_OPTIONS})
add_definitions(${LFS_DEFINITIONS})
link_libraries(${LFS_LIBRARIES})

# Set compiler flags
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_VISIBILITY_INLINES_HIDDEN 1)

add_optional_compile_options(Wall)
add_optional_compile_options(Wextra)
add_optional_compile_options(Wcast-align)
add_optional_compile_options(Wlogical-op)
add_optional_compile_options(Wredundant-decls)
add_optional_compile_options(Wmissing-declarations)
add_optional_compile_options(Wunsafe-loop-optimizations)
add_optional_compile_options(Wctor-dtor-privacy)
add_optional_compile_options(Wdisabled-optimization)
add_optional_compile_options(Winit-self)
add_optional_compile_options(Wmissing-include-dirs)
add_optional_compile_options(Wnoexcept)
add_optional_compile_options(Wsign-promo)
add_optional_compile_options(Wundef)

# apt-ftparchive dependencies
find_package(BerkeleyDB REQUIRED)
if (BERKELEY_DB_FOUND)
  set(HAVE_BDB 1)
endif()

find_package(GnuTLS REQUIRED)
if (GNUTLS_FOUND)
  set(HAVE_GNUTLS 1)
endif()

# (De)Compressor libraries
find_package(ZLIB REQUIRED)
if (ZLIB_FOUND)
  set(HAVE_ZLIB 1)
endif()


find_package(BZip2 REQUIRED)
if (BZIP2_FOUND)
  set(HAVE_BZ2 1)
endif()

find_package(LZMA REQUIRED)
if (LZMA_FOUND)
  set(HAVE_LZMA 1)
endif()


find_package(LZ4 REQUIRED)
if (LZ4_FOUND)
  set(HAVE_LZ4 1)
endif()

find_package(Udev)
if (UDEV_FOUND)
  set(HAVE_UDEV 1)
endif()

find_package(Seccomp)
if (SECCOMP_FOUND)
  set(HAVE_SECCOMP 1)
endif()

# Mount()ing and stat()ing and friends
check_symbol_exists(statfs sys/vfs.h HAVE_VFS_H)
check_include_files(sys/params.h HAVE_PARAMS_H)
check_symbol_exists(statfs sys/mount.h HAVE_MOUNT_H)
if (NOT HAVE_VFS_H AND NOT HAVE_MOUNT_H)
  message(FATAL_ERROR "Can find neither statvfs() nor statfs()")
endif()

check_function_exists(statvfs HAVE_STATVFS)
if (NOT HAVE_STATVFS)
  configure_file(CMake/statvfs.h.in ${PROJECT_BINARY_DIR}/include/sys/statvfs.h COPYONLY)
endif()

CHECK_STRUCT_HAS_MEMBER("struct statfs" f_type sys/vfs.h HAVE_STRUCT_STATFS_F_TYPE)

# Other checks
check_function_exists(getresuid HAVE_GETRESUID)
check_function_exists(getresgid HAVE_GETRESGID)
check_function_exists(setresuid HAVE_SETRESUID)
check_function_exists(setresgid HAVE_SETRESGID)
check_function_exists(ptsname_r HAVE_PTSNAME_R)
check_function_exists(timegm HAVE_TIMEGM)
test_big_endian(WORDS_BIGENDIAN)

# FreeBSD
add_definitions(-D_WITH_GETLINE=1)

CHECK_INCLUDE_FILES(machine/endian.h HAVE_MACHINE_ENDIAN_H)
CHECK_INCLUDE_FILES(sys/endian.h HAVE_SYS_ENDIAN_H)
CHECK_INCLUDE_FILES(endian.h HAVE_ENDIAN_H)
if (NOT HAVE_ENDIAN_H)
  if (HAVE_MACHINE_ENDIAN_H OR HAVE_SYS_ENDIAN_H)
    configure_file(CMake/endian.h.in ${PROJECT_BINARY_DIR}/include/endian.h)
  else()
    message(FATAL_ERROR "Cannot find endian.h")
  endif()
endif()


include(CheckTypeSize)
set(CMAKE_EXTRA_INCLUDE_FILES "signal.h")
check_type_size("sig_t" SIG_T LANGUAGE "CXX")
check_type_size("sighandler_t" SIGHANDLER_T LANGUAGE "CXX")
set(CMAKE_EXTRA_INCLUDE_FILES)
if (NOT HAVE_SIGHANDLER_T)
  if (HAVE_SIG_T)
    add_definitions(-Dsighandler_t=sig_t)
  else()
    message(FATAL_ERROR "Platform defines neither sig_t nor sighandler_t")
  endif()
endif()

# Handle resolving
check_function_exists(res_init HAVE_LIBC_RESOLV)
if(HAVE_LIBC_RESOLV)
    set(RESOLV_LIBRARIES)
else()
    set(RESOLV_LIBRARIES -lresolv)
endif()

# Configure some variables like package, version and architecture.
set(PACKAGE ${PROJECT_NAME})
set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
set(PACKAGE_VERSION "1.6~alpha5")

if (NOT DEFINED DPKG_DATADIR)
  execute_process(COMMAND ${PERL_EXECUTABLE} -MDpkg -e "print $Dpkg::DATADIR;"
                  OUTPUT_VARIABLE DPKG_DATADIR_CMD OUTPUT_STRIP_TRAILING_WHITESPACE)
  message(STATUS "Found dpkg data dir: ${DPKG_DATADIR_CMD}")
  set(DPKG_DATADIR "${DPKG_DATADIR_CMD}" CACHE PATH "dpkg data directory")
endif()
if (NOT DEFINED COMMON_ARCH)
  execute_process(COMMAND dpkg-architecture -qDEB_HOST_ARCH
                  OUTPUT_VARIABLE COMMON_ARCH OUTPUT_STRIP_TRAILING_WHITESPACE)
endif()
if (NOT DEFINED ROOT_GROUP)
  execute_process(COMMAND id -gn root
                  OUTPUT_VARIABLE ROOT_GROUP OUTPUT_STRIP_TRAILING_WHITESPACE)
  message(STATUS "Found root group: ${ROOT_GROUP}")
endif()
set(ROOT_GROUP "${ROOT_GROUP}" CACHE STRING "Group of root (e.g.: wheel or root)")

# Set various directories
set(STATE_DIR "${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/lib/apt" CACHE PATH "Your /var/lib/apt")
set(CACHE_DIR "${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/cache/apt" CACHE PATH "Your /var/cache/apt")
set(LOG_DIR "${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/log/apt" CACHE PATH "Your /var/log/apt")
set(CONF_DIR "${CMAKE_INSTALL_FULL_SYSCONFDIR}/apt" CACHE PATH "Your /etc/apt")
set(LIBEXEC_DIR "${CMAKE_INSTALL_FULL_LIBEXECDIR}/apt" CACHE PATH "Your /usr/libexec/apt")
set(BIN_DIR "${CMAKE_INSTALL_FULL_BINDIR}")


# Configure our configuration headers (config.h and apti18n.h)
configure_file(CMake/config.h.in ${PROJECT_BINARY_DIR}/include/config.h)
configure_file(CMake/apti18n.h.in ${PROJECT_BINARY_DIR}/include/apti18n.h)

# Add our subdirectories
add_subdirectory(vendor)
add_subdirectory(apt-pkg)
add_subdirectory(apt-private)
add_subdirectory(apt-inst)
add_subdirectory(cmdline)
add_subdirectory(completions)
add_subdirectory(doc)
add_subdirectory(dselect)
add_subdirectory(ftparchive)
add_subdirectory(methods)
add_subdirectory(test)

if (USE_NLS)
add_subdirectory(po)

# Link update-po4a into the update-po target
add_dependencies(update-po update-po4a)
endif()

# Create our directories.
install_empty_directories(
  ${CONF_DIR}/apt.conf.d
  ${CONF_DIR}/preferences.d
  ${CONF_DIR}/sources.list.d
  ${CONF_DIR}/trusted.gpg.d
  ${CACHE_DIR}/archives/partial
  ${STATE_DIR}/lists/partial
  ${STATE_DIR}/mirrors/partial
  ${STATE_DIR}/periodic
  ${LOG_DIR}
)

=== methods/CMakeLists.txt ===
# Create the executable targets
include_directories($<$<BOOL:${SECCOMP_FOUND}>:${SECCOMP_INCLUDE_DIR}>)
link_libraries(apt-pkg $<$<BOOL:${SECCOMP_FOUND}>:${SECCOMP_LIBRARIES}>)

add_library(httplib OBJECT http.cc basehttp.cc)
add_library(connectlib OBJECT connect.cc rfc2553emu.cc)

add_executable(file file.cc)
add_executable(copy copy.cc)
add_executable(store store.cc)
add_executable(gpgv gpgv.cc)
add_executable(cdrom cdrom.cc)
add_executable(http http_main.cc $<TARGET_OBJECTS:httplib> $<TARGET_OBJECTS:connectlib>)
add_executable(mirror mirror.cc $<TARGET_OBJECTS:httplib> $<TARGET_OBJECTS:connectlib>)
add_executable(ftp ftp.cc $<TARGET_OBJECTS:connectlib>)
add_executable(rred rred.cc)
add_executable(rsh rsh.cc)

target_compile_definitions(connectlib PRIVATE ${GNUTLS_DEFINITIONS})
target_include_directories(connectlib PRIVATE ${GNUTLS_INCLUDE_DIR})

# Additional libraries to link against for networked stuff
target_link_libraries(http ${GNUTLS_LIBRARIES})
target_link_libraries(mirror ${RESOLV_LIBRARIES} ${GNUTLS_LIBRARIES})
target_link_libraries(ftp ${GNUTLS_LIBRARIES})

# Install the library
install(TARGETS file copy store gpgv cdrom http ftp rred rsh mirror
        RUNTIME DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/apt/methods)

add_slaves(${CMAKE_INSTALL_LIBEXECDIR}/apt/methods store)
add_slaves(${CMAKE_INSTALL_LIBEXECDIR}/apt/methods rsh ssh)


add_slaves(${CMAKE_INSTALL_LIBEXECDIR}/apt/methods http https)

=== po/CMakeLists.txt ===
include(Translations)

set(languages_excluded
    he  ## disabled by translator request #313283
)

apt_add_translation_domain(
    DOMAIN libapt-pkg${APT_PKG_MAJOR}
    TARGETS apt-pkg
    EXCLUDE_LANGUAGES ${languages_excluded}
)

apt_add_translation_domain(
    DOMAIN apt
    TARGETS apt apt-cache apt-get apt-config apt-cdrom apt-helper apt-mark
            apt-private
            # Methods
            connectlib httplib file copy store gpgv cdrom http ftp rred rsh mirror
    SCRIPTS ../dselect/install ../dselect/update
    EXCLUDE_LANGUAGES ${languages_excluded}
)

apt_add_translation_domain(
    DOMAIN apt-utils
    TARGETS apt-sortpkgs
            apt-extracttemplates
            apt-internal-solver
            apt-dump-solver
            apt-internal-planner
            apt-ftparchive
    EXCLUDE_LANGUAGES ${languages_excluded}
)

apt_add_translation_domain(
    DOMAIN libapt-inst${APT_INST_MAJOR}
    TARGETS apt-inst
    EXCLUDE_LANGUAGES ${languages_excluded}
)

apt_add_update_po(
    TEMPLATE
        apt-all
    DOMAINS
        libapt-pkg${APT_PKG_MAJOR}
        libapt-inst${APT_INST_MAJOR}
        apt
        apt-utils
    EXCLUDE_LANGUAGES
        ${languages_excluded}
)

apt_add_po_statistics("${languages_excluded}")

=== debian/changelog ===
apt (1.6~alpha5) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Do not attempt seccomp under qemu-user and drop EFAULT workaround
    (Closes: #881519)

  [ Frans Spiesschaert ]
  * Dutch manpage translation update (Closes: #881402)

 -- Julian Andres Klode <jak@debian.org>  Sun, 12 Nov 2017 19:57:00 +0100

apt (1.6~alpha4) unstable; urgency=medium

  * debian: Set Rules-Requires-Root: no
  * debian: Bump Standards-Version to 4.1.1
  * Re-introduce a transitional apt-transport-https

 -- Julian Andres Klode <jak@debian.org>  Sun, 05 Nov 2017 15:25:53 +0100

apt (1.6~alpha3) unstable; urgency=medium

  [ Julian Andres Klode ]
  * debian/tests/control: Add dpkg so we get triggered by it
  * seccomp: Allow ipc() for fakeroot, and allow sysinfo() for sort
    (Closes: #879814, #879826)
  * Drop unused gzip, lzma, bzip2, and xz symlinks of store
  * seccomp: Allow clock_nanosleep() and nanosleep() syscalls
  * Prevent overflow in Installed-Size (and Size) in apt show

  [ David Kalnischkies ]
  * use store: instead of gzip: to open local changelogs

 -- Julian Andres Klode <jak@debian.org>  Sat, 28 Oct 2017 17:57:05 +0200

apt (1.6~alpha2) unstable; urgency=medium

  * seccomp: Conditionalize statx() whitelisting
  * CMake: methods: Cleanup link libraries, use OBJECT libraries
  * methods: Enable additional syscalls (SYSV IPC) in fakeroot (Closes: #879662)
  * Don't segfault if receiving a method warning on empty queue
  * Only warn about seccomp() EINVAL (normal) and EFAULT (qemu) errors
  * Print syscall number and arch to stderr when trapped by seccomp

 -- Julian Andres Klode <jak@debian.org>  Thu, 26 Oct 2017 00:32:20 +0200

apt (1.6~alpha1) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Bump Standards-Version to 4.1.0
  * Drop obsolete dh-systemd build-dep
  * Drop obsolute Testsuite: autopkgtest header
  * Drop curl method and apt-transport-https package
  * Fix testsuite for and add new fields from dpkg 1.19
  * Run Proxy-Auto-Detect script from main process
  * methods/mirror: Enable sandboxing and other aptMethod features
  * Sandbox methods with seccomp-BPF; except cdrom, gpgv, rsh

  [ David Kalnischkies ]
  * proper error reporting for v3 onion services
  * allow empty build-dependency fields in the parser (Closes: #875363)
  * send the hashes for alternative file correctly
  * ignore unsupported key formats in apt-key (Closes: #876508)

  [ Mo Zhou ]
  * zh_CN.po: Update Simplified Chinese programs translation

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: #879137)

 -- Julian Andres Klode <jak@debian.org>  Mon, 23 Oct 2017 01:58:18 +0200

=== debian/control ===
Source: apt
Section: admin
Priority: important
Maintainer: APT Development Team <deity@lists.debian.org>
Uploaders: Michael Vogt <mvo@debian.org>,
           Julian Andres Klode <jak@debian.org>,
           David Kalnischkies <donkult@debian.org>
Rules-Requires-Root: no
Standards-Version: 4.1.1
Build-Depends: cmake (>= 3.4),
               debhelper (>= 10),
               docbook-xml,
               docbook-xsl,
               dpkg-dev (>= 1.17.14),
               gettext (>= 0.12),
               googletest <!nocheck> | libgtest-dev <!nocheck>,
               g++ (>= 4:7),
               libbz2-dev,
               libcurl4-gnutls-dev (>= 7.19.4~),
               libdb-dev,
               libgnutls28-dev (>= 3.4.6),
               liblz4-dev (>= 0.0~r126),
               liblzma-dev,
               libseccomp-dev [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x hppa powerpc powerpcspe ppc64 x32],
               libudev-dev [linux-any],
               pkg-config,
               po4a (>= 0.34-2),
               xsltproc,
               zlib1g-dev
Build-Depends-Indep: doxygen, graphviz, w3m
Vcs-Git: https://anonscm.debian.org/git/apt/apt.git
Vcs-Browser: https://anonscm.debian.org/git/apt/apt.git

Package: apt
Architecture: any
Depends: adduser,
         gpgv | gpgv2 | gpgv1,
         ${apt:keyring},
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: apt-utils (<< 1.3~exp2~), apt-transport-https (<< 1.5~alpha4~)
Breaks: apt-utils (<< 1.3~exp2~), apt-transport-https (<< 1.5~alpha4~)
Provides: apt-transport-https (= ${binary:Version})
Recommends: ca-certificates
Suggests: apt-doc,
          aptitude | synaptic | wajig,
          dpkg-dev (>= 1.17.2),
          gnupg | gnupg2 | gnupg1,
          powermgmt-base,
          python-apt
Description: commandline package manager
 This package provides commandline tools for searching and
 managing as well as querying information about packages
 as a low-level access to all features of the libapt-pkg library.
 .
 These include:
  * apt-get for retrieval of packages and information about them
    from authenticated sources and for installation, upgrade and
    removal of packages together with their dependencies
  * apt-cache for querying available information about installed
    as well as installable packages
  * apt-cdrom to use removable media as a source for packages
  * apt-config as an interface to the configuration settings
  * apt-key as an interface to manage authentication keys

Package: libapt-pkg5.0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: appstream (<< 0.9.0-3~), apt (<< 1.1~exp14), libapt-inst1.5 (<< 0.9.9~)
Recommends: apt (>= ${binary:Version})
Section: libs
Provides: libapt-pkg (= ${binary:Version})
Description: package management runtime library
 This library provides the common functionality for searching and
 managing packages as well as information about packages.
 Higher-level package managers can depend upon this library.
 .
 This includes:
  * retrieval of information about packages from multiple sources
  * retrieval of packages and all dependent packages
    needed to satisfy a request either through an internal
    solver or by interfacing with an external one
  * authenticating the sources and validating the retrieved data
  * installation and removal of packages in the system
  * providing different transports to retrieve data over cdrom, ftp,
    http(s), rsh as well as an interface to add more transports like
    tor+http(s) (apt-transport-tor).

Package: libapt-inst2.0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Section: libs
Provides: libapt-inst (= ${binary:Version})
Description: deb package format runtime library
 This library provides methods to query and extract information
 from deb packages. This includes the control data and the package
 file content.

Package: apt-doc
Architecture: all
Priority: optional
Depends: ${misc:Depends}
Section: doc
Description: documentation for APT
 This package contains the user guide and offline guide for various
 APT tools which are provided in a html and a text-only version.

Package: libapt-pkg-dev
Architecture: any
Multi-Arch: same
Priority: optional
Pre-Depends: ${misc:Pre-Depends}
Depends: libapt-inst (= ${binary:Version}),
         libapt-pkg (= ${binary:Version}),
         zlib1g-dev,
         ${misc:Depends}
Section: libdevel
Description: development files for APT's libapt-pkg and libapt-inst
 This package contains the header files and libraries for
 developing with APT's libapt-pkg Debian package manipulation
 library and the libapt-inst deb/tar/ar library.

Package: libapt-pkg-doc
Architecture: all
Priority: optional
Depends: ${misc:Depends}
Section: doc
Description: documentation for APT development
 This package contains documentation for development of the APT
 Debian package manipulation program and its libraries.
 .
 This includes the source code documentation generated by doxygen
 in html format.

Package: apt-utils
Architecture: any
Depends: apt (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: package management related utility programs
 This package contains some less used commandline utilities related
 to package management with APT.
 .
  * apt-extracttemplates is used by debconf to prompt for configuration
    questions before installation.
  * apt-ftparchive is used to create Packages and other index files
    needed to publish an archive of Debian packages
  * apt-sortpkgs is a Packages/Sources file normalizer.

Package: apt-transport-https
Architecture: all
Depends: ${misc:Depends}, apt (>= 1.5~alpha4)
Priority: optional
Section: oldlibs
Description: transitional package for https support
 This is a dummy transitional package - https support has been moved into
 the apt package in 1.5. It can be safely removed.

## apt 1.6~beta1

=== CMakeLists.txt ===
--- 
+++ 
@@ -176,7 +176,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "1.6~alpha5")
+set(PACKAGE_VERSION "1.6~beta1")
 
 if (NOT DEFINED DPKG_DATADIR)
   execute_process(COMMAND ${PERL_EXECUTABLE} -MDpkg -e "print $Dpkg::DATADIR;"

=== debian/changelog ===
apt (1.6~beta1) unstable; urgency=medium

  [ David Kalnischkies ]
  * allow the apt/lists/auxfiles/ directory to be missing (Closes: 887624)
  * add apt-helper drop-privs command…
  * restore gcc visibility=hidden for apt-private
  * ensure correct file permissions for auxfiles
  * allow the apt/lists/auxfiles/ directory to be missing (Closes: 887624)
  * add apt-helper drop-privs command…
  * restore gcc visibility=hidden for apt-private
  * ensure correct file permissions for auxfiles

  [ Julian Andres Klode ]
  * indexcopy: Copy uncompressed indices from cdrom again (LP: #1746807)
  * Work around test-method-mirror failure by setting umask at start
  * Check that Date of Release file is not in the future
  * apt.conf.autoremove: Add linux-cloud-tools to list (LP: #1698159)
  * indexcopy: Copy uncompressed indices from cdrom again (LP: #1746807)
  * Work around test-method-mirror failure by setting umask at start
  * Check that Date of Release file is not in the future
  * apt.conf.autoremove: Add linux-cloud-tools to list (LP: #1698159)

  [ Chris Leick ]
  * German manpage translation update
  * German manpage translation update

 -- Julian Andres Klode <jak@debian.org>  Mon, 26 Feb 2018 13:14:13 +0100

apt (1.6~alpha7) unstable; urgency=medium

  [ Mert Dirik ]
  * Turkish program translation update (Closes: 886250)

  [ David Kalnischkies ]
  * dpkg status parsing: check if name is valid before use

  [ Julian Andres Klode ]
  * apt-compat.cron.daily: Correctly handle undetermined power status
    (LP: #1742378)
  * Introduce inrelease-path option for sources.list (Closes: #886745)
  * Drop obsolete Suggests on python-apt (Closes: #887607)
  * Point people to salsa.d.o instead of anonscm.d.o for git

  [ Justin B Rye ]
  * review and fix the three new apt-transport- manpages

  [ Holger Wansing ]
  * German program translation update (Closes: 886429)

  [ Julien Patriarca ]
  * French program translation update (Closes: 887017)

 -- Julian Andres Klode <jak@debian.org>  Thu, 18 Jan 2018 14:44:14 +0000

apt (1.6~alpha6) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Add Breaks: aptitude (<< 0.8.10) for gzip method removal
  * Also look at https_proxy for https URLs
  * Run wrap-and-sort
  * Translate shared documentation parts again
  * tests: Improve handling profiling messages on CI
  * connect: Store the IP used when picking a connection
  * Add rapid "happy eyeballs" connection fallback (RFC 8305) (Closes: #668948)
    (LP: #1308200)

  [ David Kalnischkies ]
  * allow multivalue fields in deb822 sources to be folded (Closes: 881875)
  * support COLUMNS environment variable in apt tools
  * allow apt_auth.conf(5) to be translated
  * if insecure repo is allowed continue on all http errors
  * don't auto-switch candidate if installed is good enough
  * update libapt-pkg symbols file
  * explicitly name token in auth.conf parsing error
  * fix over-calculating dpkg commandline length
  * avoid some useless casts reported by -Wuseless-cast
  * deal with floats without old-style cast
  * support multiline values in LookupTag
  * mark some 500 HTTP codes as transient acquire errors
  * report transient errors as transient errors
  * implement Acquire::Retries support for all items
  * give the methods more metadata about the files to acquire
  * implement fallback to alternative URIs for all items
  * do not remap current files if nullptrs in cache generation
  * apt.daily: remove unused dbus signal for apt update (Closes: 849636)
  * Support cleartext signed InRelease files with CRLF line endings.
    Thanks to Lukas Wunner for detailed report & initial patch! (Closes: 884922)
  * document http options in new apt-transport-http manpage
  * document https options in new apt-transport-https manpage
  * refactor message generation for methods
  * allow a method to request auxiliary files
  * reimplement and simplify mirror:// method
  * require methods to request AuxRequest capability at startup
  * add tag-based control over mirror choices from the list
  * non-local mirrorlists shouldn't redirect to local
  * add apt-transport-mirror manpage

  [ Milo Casagrande ]
  * Italian program translation update (Closes: 882850)

  [ Christian Göttsche ]
  * apt.daily: fix several "shellcheck" annotations

 -- Julian Andres Klode <jak@debian.org>  Wed, 03 Jan 2018 22:33:37 +0000

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
                docbook-xml,
                docbook-xsl,
                dpkg-dev (>= 1.17.14),
+               g++ (>= 4:7),
                gettext (>= 0.12),
                googletest <!nocheck> | libgtest-dev <!nocheck>,
-               g++ (>= 4:7),
                libbz2-dev,
                libcurl4-gnutls-dev (>= 7.19.4~),
                libdb-dev,
@@ -28,8 +28,8 @@
                xsltproc,
                zlib1g-dev
 Build-Depends-Indep: doxygen, graphviz, w3m
-Vcs-Git: https://anonscm.debian.org/git/apt/apt.git
-Vcs-Browser: https://anonscm.debian.org/git/apt/apt.git
+Vcs-Git: https://salsa.debian.org/apt-team/apt.git
+Vcs-Browser: https://salsa.debian.org/apt-team/apt
 
 Package: apt
 Architecture: any
@@ -38,16 +38,17 @@
          ${apt:keyring},
          ${misc:Depends},
          ${shlibs:Depends}
-Replaces: apt-utils (<< 1.3~exp2~), apt-transport-https (<< 1.5~alpha4~)
-Breaks: apt-utils (<< 1.3~exp2~), apt-transport-https (<< 1.5~alpha4~)
+Replaces: apt-transport-https (<< 1.5~alpha4~), apt-utils (<< 1.3~exp2~)
+Breaks: apt-transport-https (<< 1.5~alpha4~),
+        apt-utils (<< 1.3~exp2~),
+        aptitude (<< 0.8.10)
 Provides: apt-transport-https (= ${binary:Version})
 Recommends: ca-certificates
 Suggests: apt-doc,
           aptitude | synaptic | wajig,
           dpkg-dev (>= 1.17.2),
           gnupg | gnupg2 | gnupg1,
-          powermgmt-base,
-          python-apt
+          powermgmt-base
 Description: commandline package manager
  This package provides commandline tools for searching and
  managing as well as querying information about packages
@@ -151,7 +152,7 @@
 
 Package: apt-transport-https
 Architecture: all
-Depends: ${misc:Depends}, apt (>= 1.5~alpha4)
+Depends: apt (>= 1.5~alpha4), ${misc:Depends}
 Priority: optional
 Section: oldlibs
 Description: transitional package for https support

## apt 1.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -103,6 +103,12 @@
   set(HAVE_LZ4 1)
 endif()
 
+find_package(Zstd)
+if (ZSTD_FOUND)
+  set(HAVE_ZSTD 1)
+endif()
+
+
 find_package(Udev)
 if (UDEV_FOUND)
   set(HAVE_UDEV 1)
@@ -176,7 +182,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "1.6~beta1")
+set(PACKAGE_VERSION "1.6.1")
 
 if (NOT DEFINED DPKG_DATADIR)
   execute_process(COMMAND ${PERL_EXECUTABLE} -MDpkg -e "print $Dpkg::DATADIR;"

=== apt-pkg/CMakeLists.txt ===
# Include apt-pkg directly, as some files have #include <system.h>
include_directories(${PROJECT_BINARY_DIR}/include/apt-pkg)

add_definitions("-DAPT_PKG_EXPOSE_STRING_VIEW")

file(MAKE_DIRECTORY ${PROJECT_BINARY_DIR}/include/apt-pkg/)
execute_process(COMMAND ${PERL_EXECUTABLE} ${PROJECT_SOURCE_DIR}/triehash/triehash.pl
                        --ignore-case
                         --header ${PROJECT_BINARY_DIR}/include/apt-pkg/tagfile-keys.h
                         --code ${CMAKE_CURRENT_BINARY_DIR}/tagfile-keys.cc
                         --enum-class
                         --enum-name pkgTagSection::Key
                         --function-name pkgTagHash
                         --include "<apt-pkg/tagfile.h>"
                         ${CMAKE_CURRENT_SOURCE_DIR}/tagfile-keys.list)
set_property(DIRECTORY APPEND PROPERTY CMAKE_CONFIGURE_DEPENDS "tagfile-keys.list")


# Set the version of the library
execute_process(COMMAND awk -v ORS=. "/^\#define APT_PKG_M/ {print \$3}"
                COMMAND sed "s/\\.\$//"
                INPUT_FILE ${CMAKE_CURRENT_SOURCE_DIR}/contrib/macros.h
                OUTPUT_VARIABLE MAJOR OUTPUT_STRIP_TRAILING_WHITESPACE)
execute_process(COMMAND grep "^#define APT_PKG_RELEASE"
                COMMAND cut -d " " -f 3
                INPUT_FILE ${CMAKE_CURRENT_SOURCE_DIR}/contrib/macros.h
                OUTPUT_VARIABLE MINOR OUTPUT_STRIP_TRAILING_WHITESPACE)

message(STATUS "Building libapt-pkg ${MAJOR} (release ${MINOR})")
set(APT_PKG_MAJOR ${MAJOR} PARENT_SCOPE) # exporting for methods/CMakeLists.txt

# Definition of the C++ files used to build the library - note that this
# is expanded at CMake time, so you have to rerun cmake if you add or remove
# a file (you can just run cmake . in the build directory)
file(GLOB_RECURSE library "*.cc"  "${CMAKE_CURRENT_BINARY_DIR}/tagfile-keys.cc")
file(GLOB_RECURSE headers "*.h")

# Create a library using the C++ files
add_library(apt-pkg SHARED ${library})
add_dependencies(apt-pkg apt-pkg-versionscript)
# Link the library and set the SONAME
target_include_directories(apt-pkg
                           PRIVATE ${ZLIB_INCLUDE_DIRS}
                                   ${BZIP2_INCLUDE_DIR}
                                   ${LZMA_INCLUDE_DIRS}
                                   ${LZ4_INCLUDE_DIRS}
                                   $<$<BOOL:${ZSTD_FOUND}>:${ZSTD_INCLUDE_DIRS}>
                                   $<$<BOOL:${UDEV_FOUND}>:${UDEV_INCLUDE_DIRS}>
                                   ${ICONV_INCLUDE_DIRS}
)

target_link_libraries(apt-pkg
                      PRIVATE -lutil ${CMAKE_DL_LIBS} ${RESOLV_LIBRARIES}
                             ${CMAKE_THREAD_LIBS_INIT}
                             ${ZLIB_LIBRARIES}
                             ${BZIP2_LIBRARIES}
                             ${LZMA_LIBRARIES}
                             ${LZ4_LIBRARIES}
                             $<$<BOOL:${ZSTD_FOUND}>:${ZSTD_LIBRARIES}>
                             $<$<BOOL:${UDEV_FOUND}>:${UDEV_LIBRARIES}>
                             ${ICONV_LIBRARIES}
)
set_target_properties(apt-pkg PROPERTIES VERSION ${MAJOR}.${MINOR})
set_target_properties(apt-pkg PROPERTIES SOVERSION ${MAJOR})
add_version_script(apt-pkg)

# Install the library and the header files
install(TARGETS apt-pkg LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(FILES ${headers} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/apt-pkg)
flatify(${PROJECT_BINARY_DIR}/include/apt-pkg/ "${headers}")

if(CMAKE_BUILD_TYPE STREQUAL "Coverage")
  target_link_libraries(apt-pkg PUBLIC noprofile)
endif()

=== ftparchive/CMakeLists.txt ===
include_directories(${BERKELEY_DB_INCLUDE_DIRS})
# Definition of the C++ files used to build the program - note that this
# is expanded at CMake time, so you have to rerun cmake if you add or remove
# a file (you can just run cmake . in the build directory)
file(GLOB_RECURSE source "*.cc")
add_executable(apt-ftparchive ${source})

# Link the executables against the libraries
target_include_directories(apt-ftparchive PRIVATE ${BERKELEY_DB_INCLUDE_DIRS})
target_link_libraries(apt-ftparchive apt-inst apt-pkg apt-private ${BERKELEY_DB_LIBRARIES})

# Install the executables
install(TARGETS apt-ftparchive RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

=== methods/CMakeLists.txt ===
# Create the executable targets
include_directories($<$<BOOL:${SECCOMP_FOUND}>:${SECCOMP_INCLUDE_DIR}>)
link_libraries(apt-pkg $<$<BOOL:${SECCOMP_FOUND}>:${SECCOMP_LIBRARIES}>)

add_library(connectlib OBJECT connect.cc rfc2553emu.cc)

add_executable(file file.cc)
add_executable(copy copy.cc)
add_executable(store store.cc)
add_executable(gpgv gpgv.cc)
add_executable(cdrom cdrom.cc)
add_executable(http http.cc basehttp.cc $<TARGET_OBJECTS:connectlib>)
add_executable(mirror mirror.cc)
add_executable(ftp ftp.cc $<TARGET_OBJECTS:connectlib>)
add_executable(rred rred.cc)
add_executable(rsh rsh.cc)

target_compile_definitions(connectlib PRIVATE ${GNUTLS_DEFINITIONS})
target_include_directories(connectlib PRIVATE ${GNUTLS_INCLUDE_DIR})

# Additional libraries to link against for networked stuff
target_link_libraries(http ${GNUTLS_LIBRARIES})
target_link_libraries(ftp ${GNUTLS_LIBRARIES})

# Install the library
install(TARGETS file copy store gpgv cdrom http ftp rred rsh mirror
        RUNTIME DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/apt/methods)

add_slaves(${CMAKE_INSTALL_LIBEXECDIR}/apt/methods mirror mirror+ftp mirror+http mirror+https mirror+file mirror+copy)
add_slaves(${CMAKE_INSTALL_LIBEXECDIR}/apt/methods rsh ssh)


add_slaves(${CMAKE_INSTALL_LIBEXECDIR}/apt/methods http https)

=== test/libapt/CMakeLists.txt ===
find_path(GTEST_ROOT src/gtest.cc
   /usr/src/googletest/googletest
   /usr/src/gtest
)
find_package(GTest)
set(GTEST_DEPENDENCIES)

if(NOT GTEST_FOUND AND EXISTS ${GTEST_ROOT})
   include(ExternalProject)
   ExternalProject_Add(gtest PREFIX ./gtest
                             SOURCE_DIR ${GTEST_ROOT}
                             INSTALL_COMMAND true)

   link_directories(${CMAKE_CURRENT_BINARY_DIR}/gtest/src/gtest-build)

   set(GTEST_LIBRARIES "-lgtest")
   set(GTEST_DEPENDENCIES "gtest")
   set(GTEST_FOUND TRUE)
   find_path(GTEST_INCLUDE_DIRS NAMES gtest/gtest.h)

   message(STATUS "Found GTest at ${GTEST_ROOT}, headers at ${GTEST_INCLUDE_DIRS}")
endif()

if(GTEST_FOUND)
   # Definition of the C++ files used to build the test binary - note that this
   # is expanded at CMake time, so you have to rerun cmake if you add or remove
   # a file (you can just run cmake . in the build directory)
   file(GLOB files gtest_runner.cc *-helpers.cc *_test.cc)
   add_executable(libapt_test ${files})
   target_include_directories(libapt_test PRIVATE ${GTEST_INCLUDE_DIRS})
   target_link_libraries(libapt_test ${GTEST_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT} apt-private apt-inst)
   if (GTEST_DEPENDENCIES)
      add_dependencies(libapt_test ${GTEST_DEPENDENCIES})
   endif()
   add_test(NAME AptTests
            COMMAND libapt_test
            WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
endif()

=== debian/changelog ===
apt (1.6.1) unstable; urgency=medium

  * CMake: Fix builds without zstd
  * apt.conf.autoremove: Catch some new Ubuntu module packages

 -- Julian Andres Klode <jak@debian.org>  Fri, 20 Apr 2018 12:08:18 +0200

apt (1.6) unstable; urgency=medium

  * Make libzstd optional in CMakeLists.txt, to aid cross-building
  * Point debian-branch to 1.6.y

 -- Julian Andres Klode <jak@debian.org>  Wed, 18 Apr 2018 16:34:33 +0200

apt (1.6~rc1) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Experimental support for zstd (LP: #1763839)
  * Fix debian/NEWS entry for 1.6~beta1
  * Use https for Ubuntu changelogs
  * Bump cache major version to allow different 1.5 and 1.6 updates
  * CI: Switch testing to use ubuntu:bionic for 1.6.y
  * Turn off seccomp sandboxing by default (LP: #1732030) (Closes: #890489)
  * Allow restart_syscall() syscall in seccomp sandboxes (Closes: #891644)
  * Delete /etc/dpkg/dpkg.cfg.d/excludes on Docker CI images
  * test: export GCOV_ERROR_FILE=/dev/null to make it fail less/no tests
  * apt-private: Collect not found packages in CacheSetHelperAPTGet
  * Introduce experimental new hooks for command-line tools (LP: #1763839)

  [ David Kalnischkies ]
  * remove duplicate changelog lines from 1.6~beta1 entry
  * fix communication typo in https manpage
  * set our two libapt libraries to prio:optional
  * document Acquire::AllowReleaseInfoChange without extra s

  [ jean-pierre giraud ]
  * French man pages translation (Closes: #895117)

 -- Julian Andres Klode <jak@debian.org>  Sun, 15 Apr 2018 21:41:44 +0200

=== debian/control ===
--- 
+++ 
@@ -23,6 +23,7 @@
                liblzma-dev,
                libseccomp-dev [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x hppa powerpc powerpcspe ppc64 x32],
                libudev-dev [linux-any],
+               libzstd-dev (>= 1.0),
                pkg-config,
                po4a (>= 0.34-2),
                xsltproc,
@@ -67,6 +68,7 @@
 Package: libapt-pkg5.0
 Architecture: any
 Multi-Arch: same
+Priority: optional
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: appstream (<< 0.9.0-3~), apt (<< 1.1~exp14), libapt-inst1.5 (<< 0.9.9~)
@@ -92,6 +94,7 @@
 Package: libapt-inst2.0
 Architecture: any
 Multi-Arch: same
+Priority: optional
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Section: libs

=== debian/rules ===
#!/usr/bin/make -f
# Copyright (C) 2009, 2016 Julian Andres Klode <jak@debian.org>
#
# Free Software, licensed under the GPL-2 or (at your option) any later version.
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS := hardening=+all

# do not fail as we are just experimenting with symbol files for now
export DPKG_GENSYMBOLS_CHECK_LEVEL=0

export CTEST_OUTPUT_ON_FAILURE=1

%:
	dh $@

override_dh_clean:
	cp COPYING debian/copyright
	dh_clean

override_dh_install-indep:
	dh_install --list-missing

override_dh_install-arch:
	dh_install -papt-utils -X/dump
	dh_install -papt -Xmethods/curl -Xmethods/curl+https -Xmethods/curl+http
	dh_install --remaining --list-missing
	install -m 644 debian/apt.conf.autoremove debian/apt/etc/apt/apt.conf.d/01autoremove
	install -m 755 debian/apt.auto-removal.sh debian/apt/etc/kernel/postinst.d/apt-auto-removal

override_dh_gencontrol:
	dh_gencontrol -- -Vapt:keyring="$(shell ./vendor/getinfo keyring-package)"

override_dh_installcron:
	dh_installcron --name=apt-compat

override_dh_systemd_start:
	# Do not restart "apt-daily.service" because this script runs
	# unattended-upgrades. So if apt itself is upgraded as part of
	# an unattended-upgrades run it would kill itself
	dh_systemd_start -papt apt-daily.timer apt-daily-upgrade.timer
	dh_systemd_start --remaining-packages

override_dh_auto_configure-arch: flags=-DWITH_DOC=OFF
override_dh_auto_configure-indep: flags=-DWITH_DOC=ON
override_dh_auto_configure-arch override_dh_auto_configure-indep:
	dh_auto_configure -- $(flags)

override_dh_auto_build:
	dh_auto_build -- -O

## apt 1.6.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -182,7 +182,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "1.6.1")
+set(PACKAGE_VERSION "1.6.4")
 
 if (NOT DEFINED DPKG_DATADIR)
   execute_process(COMMAND ${PERL_EXECUTABLE} -MDpkg -e "print $Dpkg::DATADIR;"

=== debian/changelog ===
apt (1.6.4) unstable; urgency=critical

  [ David Kalnischkies ]
  * SECURITY UPDATE: Fallback in the mirror method allowed a later server to
    supply any InRelease file without it having to be verified. (LP: #1787752)
    - apt-pkg/acquire-item.cc:: clear alternative URIs for mirror:// between steps
    - CVE-2018-0501
    - https://mirror.fail/

 -- Julian Andres Klode <jak@debian.org>  Mon, 20 Aug 2018 17:38:50 +0200

apt (1.6.3) unstable; urgency=medium

  * Handle JSON hooks that just close the file/exit and fix some other errors
    (LP: #1776218)

 -- Julian Andres Klode <jak@debian.org>  Mon, 09 Jul 2018 16:41:27 +0200

apt (1.6.2) unstable; urgency=medium

  * Fix build with new gtest (Closes: #897149)
  * Handle a missed case of timed out ip addresses (LP: #1766542)
  * Lower default network timeouts from 120s to 30s
  * apt-key: Pass all instead of gpg-agent to gpgconf --kill (LP: #1773992)
  * Fix lock counting in debSystem (LP: #1778547)
  * CI fixes:
   - tests: Do not expect requested-by if sudo was invoked by root
   - Run tests on GitLab CI
   - CI: Export DEBIAN_FRONTEND=noninteractive in all CI environments

 -- Julian Andres Klode <jak@debian.org>  Mon, 25 Jun 2018 17:15:10 +0200

## apt 1.6.6ubuntu0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -182,7 +182,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "1.6.4")
+set(PACKAGE_VERSION "1.6.6")
 
 if (NOT DEFINED DPKG_DATADIR)
   execute_process(COMMAND ${PERL_EXECUTABLE} -MDpkg -e "print $Dpkg::DATADIR;"

=== debian/changelog ===
apt (1.6.6ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: content injection in http method (CVE-2019-3462)
    (LP: #1812353)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 18 Jan 2019 11:39:50 +0100

apt (1.6.6) bionic; urgency=medium

  * Set DPKG_FRONTEND_LOCKED when running {pre,post}-invoke scripts.
    Some post-invoke scripts install packages, which fails because
    the environment variable is not set. This sets the variable for
    all three kinds of scripts {pre,post-}invoke and pre-install-pkgs,
    but we will only allow post-invoke at a later time.
    (LP: #1796808)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 09 Oct 2018 12:16:51 +0200

apt (1.6.5) bionic; urgency=medium

  [ David Kalnischkies ]
  * Support records larger than 32kb in 'apt show' (Closes: #905527)
    (LP: #1787120)

  [ Julian Andres Klode ]
  * Add support for dpkg frontend lock (Closes: #869546) (LP: #1781169)
  * Set DPKG_FRONTEND_LOCKED as needed when doing selection changes
  * http: Stop pipeline after close only if it was not filled before
    (LP: #1794957)
  * pkgCacheFile: Only unlock in destructor if locked before (LP: #1794053)
  * Update libapt-pkg5.0 symbols for frontend locking

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 28 Sep 2018 15:06:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: apt
 Section: admin
 Priority: important
-Maintainer: APT Development Team <deity@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Michael Vogt <mvo@debian.org>,
            Julian Andres Klode <jak@debian.org>,
            David Kalnischkies <donkult@debian.org>

## apt 1.6.12

=== debian/changelog ===
apt (1.6.12) bionic; urgency=medium

  [ TilmanK ]
  * Fix typo in German manpage translation

  [ Michael Zhivich ]
  * methods: https: handle requests for TLS re-handshake (LP: #1829861)

  [ Julian Andres Klode ]
  * Unlock dpkg locks in reverse locking order (LP: #1829860)

  [ Simon Körner ]
  * http: Fix Host header in proxied https connections (LP: #1838771)

  [ Brian Murray ]
  * Do not include squashfs file systems in df output. (LP: #1756595)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 03 Sep 2019 12:05:35 +0200

apt (1.6.11) bionic; urgency=medium

  * Add test case for local-only packages pinned to never
  * Prevent shutdown while running dpkg (LP: #1820886)
  * Add linux-{buildinfo,image-unsigned,source} versioned kernel pkgs
    (LP: #1821640)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 07 May 2019 11:19:29 +0200

apt (1.6.10) bionic; urgency=medium

  * Fix name of APT::Update::Post-Invoke-Stats (was ...Update-Post...)
  * CMake: Install auth.conf.d directory (LP: #1818996)
  * Merge translations from 1.7.4

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 11 Mar 2019 10:34:07 +0100

apt (1.6.9) bionic; urgency=medium

  [ Michael Vogt ]
  * private-json-hooks.cc: deal with EPIPE (LP: #1814543)

  [ Julian Andres Klode ]
  * Introduce experimental 'never' pinning for sources (LP: #1814727)
  * Add a Packages-Require-Authorization Release file field (LP: #1814727)
  * doc: Set ubuntu-codename to bionic (LP: #1812696)
  * update: Provide APT::Update-Post-Invoke-Stats script hook point
    (LP: #1815760)
  * Introduce APT::Install::Pre-Invoke / Post-Invoke-Success (LP: #1815761)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 01 Mar 2019 10:01:51 +0100

apt (1.6.8) bionic; urgency=medium

  * merge security update: content injection in http method (CVE-2019-3462)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 25 Jan 2019 12:51:00 +0100

apt (1.6.7) bionic; urgency=medium

  [ Milo Casagrande ]
  * [l10n] Update Italian translation

  [ Julian Andres Klode ]
  * NeverAutoRemove kernel meta packages (LP: #1787460)
  * Add support for /etc/apt/auth.conf.d/*.conf (netrcparts) (LP: #1811120)
  * Merge translations from 1.8 series

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 14 Jan 2019 15:09:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: apt
 Section: admin
 Priority: important
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
+Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Michael Vogt <mvo@debian.org>,
            Julian Andres Klode <jak@debian.org>,
            David Kalnischkies <donkult@debian.org>
@@ -23,6 +22,7 @@
                liblz4-dev (>= 0.0~r126),
                liblzma-dev,
                libseccomp-dev [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x hppa powerpc powerpcspe ppc64 x32],
+               libsystemd-dev [linux-any],
                libudev-dev [linux-any],
                libzstd-dev (>= 1.0),
                pkg-config,

## apt 1.6.12ubuntu0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -114,6 +114,11 @@
   set(HAVE_UDEV 1)
 endif()
 
+find_package(Systemd)
+if (SYSTEMD_FOUND)
+  set(HAVE_SYSTEMD 1)
+endif()
+
 find_package(Seccomp)
 if (SECCOMP_FOUND)
   set(HAVE_SECCOMP 1)
@@ -182,7 +187,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "1.6.6")
+set(PACKAGE_VERSION "1.6.12ubuntu0.2")
 
 if (NOT DEFINED DPKG_DATADIR)
   execute_process(COMMAND ${PERL_EXECUTABLE} -MDpkg -e "print $Dpkg::DATADIR;"
@@ -237,6 +242,7 @@
 # Create our directories.
 install_empty_directories(
   ${CONF_DIR}/apt.conf.d
+  ${CONF_DIR}/auth.conf.d
   ${CONF_DIR}/preferences.d
   ${CONF_DIR}/sources.list.d
   ${CONF_DIR}/trusted.gpg.d

=== apt-pkg/CMakeLists.txt ===
--- 
+++ 
@@ -46,6 +46,7 @@
                                    ${LZ4_INCLUDE_DIRS}
                                    $<$<BOOL:${ZSTD_FOUND}>:${ZSTD_INCLUDE_DIRS}>
                                    $<$<BOOL:${UDEV_FOUND}>:${UDEV_INCLUDE_DIRS}>
+                                   $<$<BOOL:${SYSTEMD_FOUND}>:${SYSTEMD_INCLUDE_DIRS}>
                                    ${ICONV_INCLUDE_DIRS}
 )
 
@@ -58,6 +59,7 @@
                              ${LZ4_LIBRARIES}
                              $<$<BOOL:${ZSTD_FOUND}>:${ZSTD_LIBRARIES}>
                              $<$<BOOL:${UDEV_FOUND}>:${UDEV_LIBRARIES}>
+                             $<$<BOOL:${SYSTEMD_FOUND}>:${SYSTEMD_LIBRARIES}>
                              ${ICONV_LIBRARIES}
 )
 set_target_properties(apt-pkg PROPERTIES VERSION ${MAJOR}.${MINOR})

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
     TARGETS apt apt-cache apt-get apt-config apt-cdrom apt-helper apt-mark
             apt-private
             # Methods
-            connectlib httplib file copy store gpgv cdrom http ftp rred rsh mirror
+            connectlib file copy store gpgv cdrom http ftp rred rsh mirror
     SCRIPTS ../dselect/install ../dselect/update
     EXCLUDE_LANGUAGES ${languages_excluded}
 )

=== test/interactive-helper/CMakeLists.txt ===
add_executable(mthdcat mthdcat.cc)
target_link_libraries(mthdcat apt-pkg)
add_executable(testdeb testdeb.cc)
target_link_libraries(testdeb apt-pkg apt-inst)
add_executable(extract-control extract-control.cc)
target_link_libraries(extract-control apt-pkg apt-inst)
add_executable(aptwebserver aptwebserver.cc)
target_link_libraries(aptwebserver apt-pkg  ${CMAKE_THREAD_LIBS_INIT})
add_executable(aptdropprivs aptdropprivs.cc)
target_link_libraries(aptdropprivs apt-pkg)
add_executable(test_fileutl test_fileutl.cc)
target_link_libraries(test_fileutl apt-pkg)
add_executable(createdeb-cve-2020-27350 createdeb-cve-2020-27350.cc)


add_library(noprofile SHARED libnoprofile.c)
target_link_libraries(noprofile ${CMAKE_DL_LIBS})

=== debian/changelog ===
apt (1.6.12ubuntu0.2) bionic-security; urgency=high

  * SECURITY UPDATE: Integer overflow in parsing (LP: #1899193)
    - apt-pkg/contrib/arfile.cc: add extra checks.
    - apt-pkg/contrib/tarfile.cc: limit tar item sizes to 128 GiB
    - apt-pkg/deb/debfile.cc: limit control file sizes to 64 MiB
    - test/*: add tests.
    - CVE-2020-27350
  * Additional hardening:
    - apt-pkg/contrib/tarfile.cc: Limit size of long names and links to 1 MiB

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 07 Dec 2020 12:13:36 +0100

apt (1.6.12ubuntu0.1) bionic-security; urgency=high

  * SECURITY UPDATE: Out of bounds read in ar, tar implementations (LP: #1878177)
    - apt-pkg/contrib/arfile.cc: Fix out-of-bounds read in member name
    - apt-pkg/contrib/arfile.cc: Fix out-of-bounds read on unterminated
      member names in error path
    - apt-pkg/contrib/extracttar.cc: Fix out-of-bounds read on unterminated
      member names in error path
    - CVE-2020-3810

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 12 May 2020 20:03:44 +0200
